Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/udpcast: new aport

From: Jay Christopherson <jaychris_at_gmail.com>
Date: Fri, 8 Apr 2016 17:25:25 +0000

https://www.udpcast.linux.lu/index.html
UDP-base File Transfer Tool
---
 testing/udpcast/APKBUILD            | 43 +++++++++++++++++++++++++++++++++++++
 testing/udpcast/patch/console.patch | 10 +++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 testing/udpcast/APKBUILD
 create mode 100644 testing/udpcast/patch/console.patch
diff --git a/testing/udpcast/APKBUILD b/testing/udpcast/APKBUILD
new file mode 100644
index 0000000..05f6ab8
--- /dev/null
+++ b/testing/udpcast/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor:
+# Maintainer: Jay Christopherson <jaychris_at_gmail.com>
+pkgname=udpcast
+pkgver=20120424
+pkgrel=0
+pkgdesc="Port of UDPcast file transfer tool"
+url="https://www.udpcast.linux.lu/index.html"
+arch="all"
+license="GPL2"
+depends="musl"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://www.udpcast.linux.lu/download/udpcast-20120424.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        patch -p0 < ../../patch/console.patch
+	./configure --prefix=/usr || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install || return 1
+}
+          
+
+md5sums="b9b67a577ca5659a93bcb9e43f298fb2  udpcast-20120424.tar.gz"
+sha256sums="ce9090ef80b6035a744a9b5ac335e61c99baa92c39ff53277266fbfcb836445a  udpcast-20120424.tar.gz"
+sha512sums="b16a1d3215cbefba1e4d6bb0b38f4715e476c41ddc93fa1a38c5e707af786f4a97badd1eea494f7838f276f370af414d8379db04a14b9b3ff32a1318f16db33d  udpcast-20120424.tar.gz"
diff --git a/testing/udpcast/patch/console.patch b/testing/udpcast/patch/console.patch
new file mode 100644
index 0000000..8cb7d07
--- /dev/null
+++ b/testing/udpcast/patch/console.patch
_at_@ -0,0 +1,10 @@
+--- console.c
++++ console.c.new
+_at_@ -3,6 +3,7 @@
+ #include <stdio.h>
+ #include <errno.h>
+ #include <string.h>
++#include <sys/select.h>
+ 
+ #include "console.h"
+ #include "util.h"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 08 2016 - 17:25:25 GMT